• 0

أي نسخة من بيرل يجب عليّ أن أستعمل؟

لقد بدأت في تعلّم لغة بيرل منذ مدّة ولكنّني لاحظت وجود العديد من النّسخ، فكيف أحدد أي واحدة أستعمل؟

انشر على الشّبكات الاجتماعية


رابط هذه المساهمة
  • 0

هذا الأمر يعود لك في غالب الأحيان، ولا يُمكن أن أجيبك بأنّ نسخة مُعيّنة أفضل من الأخرى، المهم أن تكون النّسخة من النّسخ الحديثة والمُستقرّة، وحاليّاً تعتبر كل من النّسخ perl5.18.x و perl5.16.x من النّسخ التّي يمكن لك أن تستعملها بدون مشاكل.

وهناك بعض الأشياء لأخذها بعين الاعتبار في سبيل اختيار النّسخة الأنسب:

  • إذا لم يكن هناك أي أخطاء في برامجك فتحديث بيرل قد يسبب في بعض المشاكل.
  • آخر الإصدارات من بيرل تحمل أعطاباً أقل وإصلاحات عديدة.
  • أعضاء مُجتمع بيرل يدعمون الإصدارات الأخيرة أكثر من غيرها، وستجد جوابا على سؤالك بشكل أسرع.
  • النّسخ السّابقة لـ Perl 5.004 تحمل مشاكل خطيرة تتعلّق بالحماية.
  • قد تحتوي آخر النّسخ من بيرل على بعض الأخطاء، لذلك فمن الأحسن الانتظار إلى حين اختبارها جيّدا. 
  • لم يعد أي شخص يلقي بالا للإصدار الرّابع من بيرل، فقد مات ذلك الإصدار منذ أكثر من عشر سنوات.
  • هناك إصداران مُختلفان من النّسخ الحديثة من اللغة، فهناك النسخة المستقرّة والنّسخة الاختباريّة، النّسخة المُستقرة تكون خاليّة من الأخطاء أكثر من النّسخ الاختباريّة، أمّا النّسخ الاختباريّة فتحتوي على مميّزات جديدة، وقد لا تكون صالحة للمُستخدم المبتدئ

انشر على الشّبكات الاجتماعية


رابط هذه المساهمة

يجب أن تكون عضوًا لدينا لتتمكّن من التعليق

انشاء حساب جديد

يستغرق التسجيل بضع ثوان فقط


سجّل حسابًا جديدًا

تسجيل الدخول

تملك حسابا مسجّلا بالفعل؟


سجّل دخولك الآن